/*
 * Class reference TYPED_POINTER [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2079 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2079 [] = {0xFF01,1551,2078,875,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2079 [] = {0xFF01,2078,875,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2079 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2079 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2079 [] = {0xFF01,2078,875,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2079 [] = {0xFF01,2078,875,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2079 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2079 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2079 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2079 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2079 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2079 [] = {0xFF01,2078,875,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2079 [] = {0xFF01,2078,875,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2079 [] = {0xFF01,880,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2079 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2079[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2079), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2079), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22112, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2079), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2079), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2079), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2079), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2079), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2079), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2079), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2079), 22127, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2079), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2079), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2079), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2079), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16007, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22110, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22113, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22109, 0},
	{EIF_GENERIC(NULL), 22111, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22115, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22116, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2079), 22117, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22118, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22119, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22120, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22122, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22123, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22124, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22125, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22126, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22128, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22129, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22130, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22131, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22132, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22133, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22134, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22135, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2079), -1, 0xFFFFFFFF},
};
void Init2079(void)
{
	IDSC(desc_2079, 0, 2078);
	IDSC(desc_2079 + 1, 1, 2078);
	IDSC(desc_2079 + 32, 590, 2078);
	IDSC(desc_2079 + 35, 700, 2078);
	IDSC(desc_2079 + 37, 1535, 2078);
	IDSC(desc_2079 + 60, 10, 2078);
}


#ifdef __cplusplus
}
#endif
